org.apache.synapse.commons.transaction

## Class TranscationManger

- java.lang.Object
- - org.apache.synapse.commons.transaction.TranscationManger

-     public class TranscationManger
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranscationManger()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.sql.Connection` | `addConnection(javax.sql.DataSource ds)`
    `static void` | `beginTransaction()`
    `static void` | `bindConnection(java.sql.Connection conn)`
    `static boolean` | `checkConnectionAlreadyUse(java.sql.Connection conn)`
    `static void` | `delistResource(int flag, long key)`
    `static void` | `endTransaction(boolean insideSynapse, long key)`
    `static java.sql.Connection` | `getConnection()`
    `static int` | `getStatus()`
    `static javax.transaction.Transaction` | `getTransaction()`
    `static javax.transaction.TransactionManager` | `getTransactionManager()`
    `static boolean` | `isThreadHasEnlistment()`
    `static void` | `lookUp(javax.naming.Context txContext)`
    `static void` | `removeConnectionUsed(long key)`
    `static void` | `removeTransaction(long key)`
    `static void` | `rollbackTransaction(boolean insideSynapse, long key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

  - ### Constructor Detail

    - #### TranscationManger

          public TranscationManger()

  - ### Method Detail

    - #### lookUp

          public static void lookUp(javax.naming.Context txContext)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkConnectionAlreadyUse

          public static boolean checkConnectionAlreadyUse(java.sql.Connection conn)
                                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### removeConnectionUsed

          public static void removeConnectionUsed(long key)

    - #### addConnection

          public static java.sql.Connection addConnection(javax.sql.DataSource ds)
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getConnection

          public static java.sql.Connection getConnection()

    - #### isThreadHasEnlistment

          public static boolean isThreadHasEnlistment()

    - #### bindConnection

          public static void bindConnection(java.sql.Connection conn)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### delistResource

          public static void delistResource(int flag,
                                            long key)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeTransaction

          public static void removeTransaction(long key)

    - #### rollbackTransaction

          public static void rollbackTransaction(boolean insideSynapse,
                                                 long key)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### endTransaction

          public static void endTransaction(boolean insideSynapse,
                                            long key)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### beginTransaction

          public static void beginTransaction()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getTransactionManager

          public static javax.transaction.TransactionManager getTransactionManager()
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getTransaction

          public static javax.transaction.Transaction getTransaction()
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getStatus

          public static int getStatus()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.